=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5.0.37.2), python-support (>= 0.3), intltool
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2

Package: apport
Architecture: all
Depends: python (>= 2.4), python-problem-report, python-apport-utils (>= 0.18), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python (>= 2.4), python-problem-report (>= 0.24), python-apport-utils (>= 0.24), python-gtk2, python-glade2, python-xdg, apport (>= 0.24)
Recommends: update-notifier
Description: GTK frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: python-problem-report
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}
Description: python library to handle problem reports
 This python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs (for details, see
 https://wiki.ubuntu.com/AutomatedProblemReports).
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport-utils
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}, python-problem-report, python-apt
Description: apport crash report handling functions
 This python library provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
