=== po/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DOMAIN=apport
 PO_FILES := $(wildcard *.po)
 CONTACT=martin.pitt@ubuntu.com
+top_srcdir = ..
 
 all: $(DOMAIN).pot
