## apport 0.76.1

=== debian/changelog ===
apport (0.76.1) feisty-updates; urgency=low

  * No-change upload to feisty-updates. Thanks to Michael Vogt for verifying.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Apr 2007 13:29:24 +0200

apport (0.76.1~prop1) feisty-proposed; urgency=low

  Fix breakage with all applications that use Python 2.4:

  * apport/report.py: Replace any() call with a list comprehension to work
    with Python < 2.5. (LP: #104864)
  * apport/report.py: Move the ctypes import to the one place where we
    actually need it, and do not entirely fail if they do not exist (such as
    in Python 2.4). It is only required for non-default Feisty kernels anyway.
    (LP: #107662)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Apr 2007 13:21:41 +0200
