=== debian/changelog ===
apport (0.98) gutsy; urgency=low

  [ Martin Pitt ]
  * debian/local/setup-apport-retracer: launchpadBugs -> launchpadbugs
    (recently renamed Python package in python-launchpad-bugs).
  * apport/crashdb_impl/launchpad.py, test examples: Do not duplicate to bug
    #1, that generates a huge amount of spam. Use another test bug.
  * apport/crashdb_impl/launchpad.py, download(): Use Bug.description_raw,
    since LP mangles spaces in .description. Bump p-lp-bugs dependency.
  * apport/crashdb_impl/launchpad.py, close_duplicate(): Explicitly set the
    duplicate after removing attachments, since the new LP does not allow any
    modification of duplicate bugs.
  * bin/crash-digger: Only consolidate the duplicate DB when -i is given (i.
    e. usually only on one running instance).

  [ Colin Watson ]
  * Use bugs.launchpad.net for +filebug and +bugs requests. (LP: #138090)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Oct 2007 14:35:07 +0200

apport (0.97) gutsy; urgency=low

  [Martin Pitt]
  * problem_report.py: Coerce CompressedValue.__len__() to return an int to
    work on Python 2.4, too.
  * debian/local/setup-apport-retracer: Adapt ddeb apt source for the move
    from ~pitti to ~ubuntu-archive.

  [Markus Korn]
  * port to new python-launchpad-bugs API.

  [Daniel Holbach]
  * small fixes to the port.
  * debian/control: bumped python-launchpad-bugs Depends to >= 0.2.2.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 04 Sep 2007 11:24:28 +0200

apport (0.96) gutsy; urgency=low

  * Create man pages for apport-cli, apport-chroot, and dupdb-admin.
  * apport/fileutils.py, find_file_package(): Try to resolve symlinks in the
    directory path. (LP: #125551)
  * apport/crashdb_impl/launchpad.py, debian/local/setup-apport-retracer: Use
    packaging.get_system_architecture() (which is dpkg --print-architecture on
    Debian/Ubuntu) instead of uname, so that this does the right thing on lpia.
  * problem_report.py, write_mime(): Use base64 encoding for gzipped
    attachments, to not screw up mail servers. Thanks to Tim Yamin for this
    patch!
  * apport/crashdb.py: Drop the last argument (-1), since it is the default
    anyway and did not yet exist on Python 2.4.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Aug 2007 14:11:48 +0200

apport (0.95) gutsy; urgency=low

  * general-hooks/automatix.py: Remove hashbang, it's not an executable
    script.
  * apport/report.py: Support system-wide blacklisting:
    /etc/apport/blacklist.d/. Add test cases.
  * Add doc/README.blacklist: Document blacklist.d/, install it there in
    setup.py.
  * debian/rules: Blacklist wine-preloader, so that we ignore wine crashes
    until an appropriate way is found to deal with them. (Point 6 of
    apport-better-retracing spec.)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 11 Aug 2007 18:10:54 +0200

apport (0.94) gutsy; urgency=low

  * doc/data-format.tex: Some updates to incorporate feedback from Gnome
    upstream:
    - Do not talk about "Distributions" any more, but "Operating systems".
      Gnome is used on non-Linux OSs, too.
    - Split "DistroRelease:" field into "OS:" and "OSRelease:".
    - Explicitly mention that CoreDump, StackTrace etc. can also contain
      minidump output.
    - Increase document version to 0.2.
  * apport/report.py, obsolete_packages(): Fix crash when apt does not know an
    available version of a package. (LP: #128176)
  * test-apport: Add check that apport aborts immediately if another apport
    instance is already running. Also test that a symlink attack on the lock
    file is not possible.
  * bin/apport: Abort running several apport instances at the same time, by
    lockf()'ing /var/crashes/.lock and aborting on failure. (LP: #119622)
  * Add bin/gcc_ice_hook: Script to create an apport report for a gcc ICE
    (internal compiler exception). Add test cases to test-hooks, and ship it
    in the 'apport' package. (LP: #125551)
  * run-tests: In 'local' mode, only explicitly run the apt/dpkg
    implementation instead of backends/*, since the RPM ones don't have tests
    yet.
  * apport/crashdb.py: Add a second optional parameter to upload() to specify
    an upload progress callback function. Adapt the declarations in the
    Launchpad and Memory implementations, too.
  * apport/crashdb_impl/launchpad.py, upload(): Pass upload progress callback
    handler to launchpadBugs.storeblob.upload(), which supports this since
    version 0.2~39. Bump dependency to it accordingly.
  * apport/ui.py, file_report(): Define an upload progress callback handler,
    pass it to the crashdb upload(), and feed ui_set_upload_progress() with
    some actual data. (LP: #91521)
  * problem_report.py: Remove support for reading bz2 compressed binary data.
    That was only relevant during edgy's development cycle.
  * apport/report.py, test_add_proc_info(): Fix determination of /bin/zgrep
    interpreter.
  * problem_report.py: Switch encoding of binary values from bare zlib to
    proper gzip format, since this is much more useful when reusing the
    compressed value. Retain support for zlib-only reports. Add test cases for
    both old and new encodings, and adapt the other test cases for the new
    format. Update doc/data-format.tex accordingly.
  * problem_report.py, write(): Add new permitted 'binary' argument value
    'compressed', which retains gzip compressed binary values instead of
    unpacking them transparently. Add test cases.
  * problem_report, write_mime(): Eliminate unnecessary usage of StringIO.
  * problem_report, write_mime(): Make function work for compressed binary
    values. Add test case.
  * apport/report.py, add_gdb_info(): Make function work if CoreDump is a
    compressed value.
  * apport/ui.py: Load crash report with keeping compressed binaries. This
    avoids loading the entire uncompressed core dump into memory, and avoids
    recompressing it all over again for generating the crash database upload

