=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool, texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
 Standards-Version: 3.7.2
-XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apport/ubuntu
+XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
-Conflicts: apport-gtk (<< 0.51)
-Replaces: apport-gtk (<< 0.51)
+Conflicts: apport-gtk (<< 0.51), apport-cli
+Replaces: apport-gtk (<< 0.51), apport-cli
+Suggests: apport-gtk | apport-qt
 Description: automatically generate crash reports for debugging
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
  helper hook provided by the Ubuntu kernel.
+ .
+ This package also provides a command line frontend for browsing and
+ handling the crash reports. For desktops, you should consider
+ installing the GTK or Qt user interface (apport-gtk or apport-qt).
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
@@ -37,7 +42,7 @@
 XB-Python-Version: ${python:Versions}
 Section: python
 Architecture: all
-Depends: ${python:Depends}, python-problem-report (>= 0.73), python-launchpad-bugs (>= 0.1.2), gdb
+Depends: ${python:Depends}, python-apt, python-problem-report (>= 0.94), python-launchpad-bugs (>= 0.2.11), gdb
 Conflicts: python-apport-utils
 Replaces: python-apport-utils
 Description: apport crash report handling library
@@ -52,7 +57,7 @@
 Package: apport-retrace
 Section: devel
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.63), python-apt, python-launchpad-bugs (>= 0.1.3), apt, binutils
+Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
 Suggests: debootstrap (>= 0.3.3.2ubuntu2), fakeroot, fakechroot
 Conflicts: apport (<< 0.72)
 Replaces: apport (<< 0.72)
@@ -71,7 +76,7 @@
 Package: apport-gtk
 Section: gnome
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
+Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
 Recommends: update-notifier
 Description: GTK frontend for the apport crash report system
  apport automatically collects data from crashed processes and
@@ -87,7 +92,7 @@
 Package: apport-qt
 Section: kde
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-qt4, python-xdg, apport (>= 0.41), procps
+Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
 Recommends: adept-notifier
 Description: Qt4 frontend for the apport crash report system
  apport automatically collects data from crashed processes and
@@ -100,19 +105,3 @@
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
 
-Package: apport-cli
-Section: utils
-Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.45), python-xdg, apport (>= 0.41), procps, debianutils
-Recommends: elinks
-Description: Command line frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the Ubuntu kernel.
- .
- This package provides a command line frontend for browsing and handling the
- crash reports.
- .
- See https://wiki.ubuntu.com/AutomatedProblemReports for more
- information.
-
