## apport 0.108

=== debian/changelog ===
apport (0.108) hardy; urgency=low

  [ Martin Pitt ]
  * apport-{gtk,qt,cli}: Fix handling of file references added by package
    hooks. (LP: #205163)
  * backends/packaging_rpm.py: Fix dependency resolution of uname(*) in the
    RPM backend. Thanks to Patryk Zawadzki! (LP: #213018)
  * backends/packaging_rpm.py: Fix RPM platform parsing, thanks to Patryk
    Zawadzki! (LP: #213015)
  * po/de.po: Fix typo (missing space).
  * debian/apport.default: Disable Apport for the final Hardy release, since
    it is less useful in stable releases, and drains a lot of CPU and I/O
    power on crashes. Disabling it here instead of in update-notifier/adept is
    more discoverable and more centralized.

  [ Daniel Hahler ]
  * bin/apport-retrace: catch the same exceptions from Report.load() like
    ui.load_report() does (LP: #211899)
  * Fix uncaught exceptions in apport itself (LP: #215929):
    - apport/REThread.py: check if "sys" exists in the except block of
      REThread.run()
    - apport_python_hook.py: check if "sys" exists in the finally block of
      apport_excepthook
  * cli/apport-cli: Fix UnboundLocalError in ui_present_crash, which rendered
    apport-cli useless (for reporting crashes) (LP: #216151)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Apr 2008 12:24:32 +0200

apport (0.107) hardy; urgency=low

  * cli/apport-cli: Add translator comment for difficult string. (LP: #210948)
  * Update German translations.
  * po/Make{vars,file}: Remove the --language=python option again, since it
    breaks extracting strings from the glade. intltool-update currently does
    not seem to have a way to tag a file as "language python", so add an ugly
    workaround: Create temporary .py symlinks for gtk/apport-gtk & friends,
    and have intltool extract them.
  * apport/ui.py: Disallow filing a bug without specifying a package or a PID.
    Update debian/local/ubuntu-bug.1 accordingly (apport-cli manpage was
    already correct). (LP: #210348)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 06 Apr 2008 11:44:38 -0600

apport (0.106) hardy; urgency=low

  [ Martin Pitt ]
  * apport/crashdb_impl/launchpad.py: Fix spelling mistake in p-lp-bugs API
    (now corrected there).
  * apport_python_hook.py: Catch IndexError for invalid sys.argv[0], too.
    (LP: #204940)
  * apport/ui.py: Add test_run_report_bug_unpackaged_pid() test case which
    reports a bug against a pid which belongs to an unpackaged program. This
    reproduces LP #203764.
  * apport/report.py: Drop add_hooks_info() assertion on nonexisting Package
    field, return silently instead. This conforms to the behaviour of the
    other add_*_info() functions and avoids nasty error handling.
  * apport/ui.py: Generate proper error message when calling with -f -p PID
    and PID belongs to an unpackaged program. (LP: #203764).

  [ Sebastien Bacher ]
  * po/Makevars: add the --language=python xgettext option so the translations
    template is correctly updated on build since cdbs is using intltool-update
    directly and not the corresponding makefile target

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Apr 2008 16:02:46 +0200

apport (0.105) hardy; urgency=low

  * apport/crashdb_impl/launchpad.py: Ignore ValueErrors when subscribing a
    team, since these are usually due to the team already being subscribed.
  * apport/report.py, anonymize(): Be robust against empty user names and only
    anonymize fields which can potentially contain user specific data.
    (LP: #195706)
  * backends/packaging-apt-dpkg.py, get_architecture(): Return 'unknown'
    instead of None if package architecture cannot be determined.
    (LP: #198548)
  * apport/ui.py, run_crash(): Intercept other IOErrors, too (such as EISDIR)
    and print out proper error message instead of crashing. (LP: #201819)
  * apport_python_hook.py: If the Python script has mutilated sys.argv so that
    even sys.argv[0] does not exist any more, fall back into readlink()ing
    /proc/pid/exe and gracefully handle the failure of that, instead of
    crashing in the crash handler (ugh). Add test case. (LP: #198183)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Mar 2008 23:04:57 +0100

apport (0.104) hardy; urgency=low

  [ Martin Pitt ]
  * apport/crashdb_impl/launchpad.py, get_source_version(): re-escape the
    package name so that it doesn't stumble over '+' and similar characters.
  * apport/ui.py tests: assert that ProcEnviron is also included into bug
    reports where we do not have a PID, since having the local information is
    interesting and important (and acceptable in terms of personal
    information).
  * apport/report.py: Split out method add_proc_environ() for getting
    ProcEnviron, so that we can call it separately.
  * apport/ui.py, run_report_bug(): Add ProcEnviron if we do not have a pid to
    file a bug against. This way, bugs filed against packages or distro also
    get locale information. (LP: #198514)
  * apport/fileutils.py, mark_report_seen(): Do not crash if the file does not
    exist any more, because it was removed underneath us. (LP: #199932)
  * apport/ui.py, test_collect_info_exepath(): Add a tuple argument and a
    CompressedValue to the test report. This reproduces LP #199349.
  * apport/report.py, anonymize(): Only work on string values. (LP: #199349)
  * apport/ui.py: If a report has a field "Ignore", entirely ignore the report
    without even presenting an explanatory error dialog (as
    "UnsupportableReason" does). Document this in doc/package-hooks.txt.
    (LP: #198863)
  * debian/control: Bump Standards-Version (no changes necessary).
  * debian/control: Fix wrongly spelt project names (Python and GTK+). Thanks
    to lintian's scrutiny.
  * gtk/apport-gtk-mime.desktop.in, qt4/apport-qt-mime.desktop.in: Add a main
    category.

  [ Kees Cook ]
  * apport/report.py: fix module license checking logic (LP: #199927).
    - nonfree_modules: being unable to find a module should not mean the
      module is non-free.

