=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python-support (>= 0.3), python-dev (>= 2.4), intltool, texlive-latex-recommended
+Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2),
+ python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
+ texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.7.2
-XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
+Standards-Version: 3.7.3
+XS-Python-Version: current
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
+XB-Python-Version: ${python:Versions}
 Architecture: all
-Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
+Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg
 Conflicts: apport-gtk (<< 0.51), apport-cli
 Replaces: apport-gtk (<< 0.51), apport-cli
 Suggests: apport-gtk | apport-qt
@@ -19,7 +23,7 @@
  .
  This package also provides a command line frontend for browsing and
  handling the crash reports. For desktops, you should consider
- installing the GTK or Qt user interface (apport-gtk or apport-qt).
+ installing the GTK+ or Qt user interface (apport-gtk or apport-qt).
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
@@ -29,8 +33,8 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}
-Description: python library to handle problem reports
- This python library provides an interface for creating, modifying,
+Description: Python library to handle problem reports
+ This Python library provides an interface for creating, modifying,
  and accessing standardized problem reports for program and kernel
  crashes and packaging bugs (for details, see
  https://wiki.ubuntu.com/AutomatedProblemReports).
@@ -46,7 +50,7 @@
 Conflicts: python-apport-utils
 Replaces: python-apport-utils
 Description: apport crash report handling library
- This python package provides high-level functions for creating and
+ This Python package provides high-level functions for creating and
  handling apport crash reports:
  .
   * Query available and new reports.
@@ -55,6 +59,7 @@
   * Python hook to generate crash reports when Python scripts fail.
 
 Package: apport-retrace
+XB-Python-Version: ${python:Versions}
 Section: devel
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
@@ -74,22 +79,24 @@
  chroots can happen with normal user privileges.
 
 Package: apport-gtk
+XB-Python-Version: ${python:Versions}
 Section: gnome
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
 Recommends: update-notifier
-Description: GTK frontend for the apport crash report system
+Description: GTK+ frontend for the apport crash report system
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
  helper hook provided by the Ubuntu kernel.
  .
- This package provides a GTK frontend for browsing and handling the
+ This package provides a GTK+ frontend for browsing and handling the
  crash reports.
  .
  See https://wiki.ubuntu.com/AutomatedProblemReports for more
  information.
 
 Package: apport-qt
+XB-Python-Version: ${python:Versions}
 Section: kde
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
